summaryrefslogtreecommitdiffstats
path: root/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/model-loader-script.sh
diff options
context:
space:
mode:
authorMike Elliott <mike.elliott@amdocs.com>2017-09-21 20:21:00 +0000
committerGerrit Code Review <gerrit@onap.org>2017-09-21 20:21:00 +0000
commit3e130463a0062cdb7aef9717c46ee5bc9958a32e (patch)
tree2a2c242eeeacd9e32c965312709f7dd29709b93a /kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/model-loader-script.sh
parent46f145552e1554dc909c49d19d344da8ae7f6503 (diff)
parentbe779fa2d7f44b511bde929582b6340c650d24cc (diff)
Merge "Add Consul support to 'OneClick' deployment."
Diffstat (limited to 'kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/model-loader-script.sh')
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/model-loader-script.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/model-loader-script.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/model-loader-script.sh
new file mode 100644
index 0000000000..1c93ecb38e
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/model-loader-script.sh
@@ -0,0 +1,16 @@
+
+NAME=$(/consul/config/bin/kubectl -n onap-aai get pod | grep -o "model-loader[^[:space:]]*")
+
+if [ -n "$NAME" ]; then
+ if /consul/config/bin/kubectl -n onap-aai exec -it $NAME -- ps -efww | grep 'java' | grep 'model-loader' > /dev/null; then
+
+ echo Success. Model Loader process is running. 2>&1
+ exit 0
+ else
+ echo Failed. Model Loader process is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. Model Loader container is offline. 2>&1
+ exit 1
+fi